sirish.byreddy

The version could not be reconciled

Discussion created by sirish.byreddy on May 29, 2013
Latest reply on May 29, 2013 by vangelo-esristaff
Hi All,

We are using Arc 9.3 & ArcSDE with SQL 2008. We are accessing ArcSDE feature class and trying to update the selected features attribute for the field "Oneway" which is having Domains with the following simple code

      ISelection pSelection = pMap.FeatureSelection;
                    IEnumFeature pEnumFeature = pSelection as IEnumFeature;
                    IFeature pFeature = pEnumFeature.Next();
                    while (pFeature != null)
                    {
                           pFeature.set_Value(pFeature.Fields.FindField("Oneway"), "FT");    //"FT" is the coded value                     
                           pFeature.Store();
                        pFeature = pEnumFeature.Next();
                    }
After making some modifications while trying to reconcile & post the data..getting error as "The version could not be reconciled. Underlying DBMS error......"

Can some one help me in this regard. Does this error occurring due to the Code or something related to SQL?

Attachments

Outcomes